Loading...
Searching...
No Matches
Catch::Context Class Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::Context:
[legend]

## Public Member Functions

constexpr IResultCapture * | getResultCapture () const
constexpr IConfig const * | getConfig () const
constexpr void | setResultCapture (IResultCapture *resultCapture)
constexpr void | setConfig (IConfig const *config)

## Static Private Member Functions

static void | createContext ()

## Private Attributes

IConfig const * | m_config = nullptr
IResultCapture * | m_resultCapture = nullptr

## Static Private Attributes

static CATCH_EXPORT Context * | currentContext = nullptr

## Friends

Context & | getCurrentMutableContext ()
Context const & | getCurrentContext ()
void | cleanUpContext ()

## Member Function Documentation

## createContext()

void Catch::Context::createContext | ( |  | ) |

staticprivate

Here is the caller graph for this function:

## getConfig()

IConfig const * Catch::Context::getConfig | ( |  | ) | const

inlineconstexpr

Here is the caller graph for this function:

## getResultCapture()

IResultCapture * Catch::Context::getResultCapture | ( |  | ) | const

inlineconstexpr

## setConfig()

void Catch::Context::setConfig | ( | IConfig const * | config | ) |

inlineconstexpr

Here is the caller graph for this function:

## setResultCapture()

void Catch::Context::setResultCapture | ( | IResultCapture * | resultCapture | ) |

inlineconstexpr

## Friends And Related Symbol Documentation

## cleanUpContext

void cleanUpContext | ( |  | ) |

friend

## getCurrentContext

Context const & getCurrentContext | ( |  | ) |

friend

## getCurrentMutableContext

Context & getCurrentMutableContext | ( |  | ) |

friend

## Member Data Documentation

## currentContext

Context * Catch::Context::currentContext = nullptr

staticprivate

## m_config

IConfig const* Catch::Context::m_config = nullptr

private

## m_resultCapture

IResultCapture* Catch::Context::m_resultCapture = nullptr

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp